Get Transcript
curl --request GET \
--url https://api.getoutbox.ai/agent/transcript/{transcript_id} \
--header 'Authorization: <api-key>' \
--header 'X-User-Timezone: <x-user-timezone>'import requests
url = "https://api.getoutbox.ai/agent/transcript/{transcript_id}"
headers = {
"X-User-Timezone": "<x-user-timezone>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-User-Timezone': '<x-user-timezone>', Authorization: '<api-key>'}
};
fetch('https://api.getoutbox.ai/agent/transcript/{transcript_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agent_id": "<string>",
"agent_name": "<string>",
"agent_number": "<string>",
"status": "<string>",
"error_message": "<string>",
"type": "chatbot",
"is_deleted": true,
"user_name": "<string>",
"cost": "<string>",
"score": 123,
"cost_breakdown": {},
"summary": "<string>",
"recording_url": "<string>",
"created_at": "<string>",
"timestamp": "<string>",
"call_length": "<string>",
"direction": "inbound",
"phone_number": "<string>",
"message_count": 123,
"contact_id": "<string>",
"messages": [
{
"type": "message",
"timestamp": "<string>",
"role": "user",
"message": "<string>",
"platform": "<string>"
}
]
}Transcripts
Get Transcript
Retrieve detailed transcript information including messages, tool calls, and cost breakdown
GET
/
agent
/
transcript
/
{transcript_id}
Get Transcript
Authorizations
Company API Key
Headers
User's timezone for timestamp formatting
Path Parameters
The ID of the thread/transcript
Response
Transcript details retrieved successfully
Only present if status is 'error'
Available options:
chatbot, voicebot Formatted: '$X.XX'
Show child attributes
Show child attributes
Format: DD/MM/YYYY • HH:MMam/pm in user timezone
Format: DD/MM/YYYY • HH:MMam/pm in user timezone
Format: MM:SS (voicebot only)
Voicebot only
Available options:
inbound, outbound Voicebot only
Chatbot only
Chatbot only
Unified messages from thread messages, tool calls, and interrupts
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes

